This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 499959 - Review Request: redmine - redmine
Review Request: redmine - redmine
Status: CLOSED DUPLICATE of bug 825495
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jan Klepek
Fedora Extras Quality Assurance
NotReady
: Reopened
Depends On: 507761 507762 555988 555990
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-09 10:23 EDT by David Hannequin
Modified: 2015-12-11 11:04 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-18 14:53:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Changes to acts_as_tree in Redmine (1.96 KB, patch)
2010-01-16 05:18 EST, Karel Klíč
no flags Details | Diff

  None (edit)
Description David Hannequin 2009-05-09 10:23:07 EDT
Spec URL: http://hvad.cfppa-cibeins.com/redmine/redmine.spec
SRPM URL: http://hvad.cfppa-cibeins.com/redmine/redmine-0.8.3-5.fc10.src.rpm
Description: Redmine is a flexible project management web application. Written using Ruby on Rails framework, it is cross-platform and cross-database.
Comment 1 Emmanuel Seyman 2009-05-10 04:51:22 EDT
Unofficial review:

+ package builds in mock (rawhide i586).
x rpmlint is NOT silent for SRPM and for RPM.

rpmlint redmine-0.8.3-5.fc11.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
rpmlint redmine-0.8.3-5.fc11.noarch.rpm gives 124 errors and 1 warning.

The errors are of the types:
* htaccess-file
* non-executable-script
* script-without-shebang
* version-control-internal-file
* wrong-script-end-of-line-encoding
* zero-length

Please fix these or explain why they should be ignored.

+ source files match upstream url
52946a1b310e891da6613e8c7b429043  redmine-0.8.3.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
? Spec file is legible.

I'm unsure that "http://www.%{name}.org" falls in the legible category.
I'll let an official reviewer decide on this.

+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.

Note that redmine seems to be licensed under GPLv2 or later while your spec
file says "GPLv2". I'm guessing you should use "GPLv2+"

+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
x Macro use appears rather consistent.

Your %install reads:
%{__rm} -rf %{buildroot}

while your %clean uses:
rm -rf %{buildroot}

Please use one or the other but not both.

+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
x file permissions are appropriate.

See rpmlint output.
Comment 2 David Hannequin 2009-05-10 16:59:34 EDT
New version with correction of comment 1. 

Spec URL: http://hvad.cfppa-cibeins.com/redmine/redmine.spec
SRPM URL: http://hvad.cfppa-cibeins.com/redmine/redmine-0.8.3-5.fc10.src.rpm
Description: Redmine is a flexible project management web application. Written
using Ruby on Rails framework, it is cross-platform and cross-database.
Comment 3 David Hannequin 2009-05-10 18:31:01 EDT
(In reply to comment #2)
New version with correction of comment 1. 
 
Spec URL: http://hvad.cfppa-cibeins.com/redmine/redmine.spec
SRPM URL: http://hvad.cfppa-cibeins.com/redmine/redmine-0.8.3-6.fc10.src.rpm
Description: Redmine is a flexible project management web application. Written
using Ruby on Rails framework, it is cross-platform and cross-database.
Comment 4 David Hannequin 2009-05-11 14:49:52 EDT
Thank Manu for your review.

Spec URL: http://hvad.cfppa-cibeins.com/redmine/redmine.spec
SRPM URL: http://hvad.cfppa-cibeins.com/redmine/redmine-0.8.3-7.fc10.src.rpm
Description: Redmine is a flexible project management web application. Written
using Ruby on Rails framework, it is cross-platform and cross-database.
Comment 5 Jan Klepek 2009-05-20 02:32:15 EDT
Hi David, 

I couldn't see you in packager cvs group, is this your first package for fedora?

1] how do you get Source0,Source1,Source2? 
http://fedoraproject.org/wiki/Packaging/SourceURL

2] latest version is 0.8.4, wouldn't be better to have this version packaged?

3] use %{__cp} -p to preserver timestamps, better would be not to use %{__cp} at all, you are doing a lot of chmods later, couldn't you use install? Most of chmods are related to 5]

4] vendor/rails contains ruby library files: which have licensing: MIT for actionmailer, actionpack, activerecord, activeresource, activesupport, GPLv2 for activemodel

5] this libraries are present as packages in fedora, so why do you need to package it by yourself? put that into requirements. 
Except activemodel for which I couldn't see any package. So create package for activemodel library ( use http://fedoraproject.org/wiki/Packaging/Ruby )
Comment 6 David Hannequin 2009-05-20 09:27:57 EDT
Hello,

Yes, it's my first package for Fedora. I have read your comment and i correct spec file.

Thank for your comment.

Best regard
Comment 7 Jan Klepek 2009-05-20 09:43:32 EDT
Hi David,

In that case, you need to get sponsored first.
You should read following link for more information about packaging and becoming packager.
http://fedoraproject.org/wiki/Join_the_package_collection_maintainers

Please incorporate all my last comments and give us link to updated specfile and SRPM when you will have them ready.

I will help you with unofficial review on this package, final review needs to be done by person who will sponsor you.
Comment 8 Susi Lehtola 2009-05-22 12:29:23 EDT
David: please configure your name in Bugzilla (Preferences -> Name and Password -> Your real name).

Also, the specfile is a mess. You really should look at doing things with find, e.g.
 find . -name *.rb -exec chmod 644 {} \;
Comment 9 David Hannequin 2009-05-22 14:40:43 EDT
Hi,

Thank for your review. I configured my real name in Bugzilla. Thank for your review. I work on a new specfile.

Best regard
Comment 10 David Hannequin 2009-05-23 15:28:48 EDT
Hi,

New spec file and SRPM with the remarks Jan Klepek.

Spec URL: http://hvad.cfppa-cibeins.com/redmine/redmine.spec
SRPM URL: http://hvad.cfppa-cibeins.com/redmine/redmine-0.8.4-8.fc10.src.rpm

Best regard
Comment 11 Jan Klepek 2009-05-30 14:50:09 EDT
(In reply to comment #5)
> 4] vendor/rails contains ruby library files: which have licensing: MIT for
> actionmailer, actionpack, activerecord, activeresource, activesupport, GPLv2
> for activemodel

actionwebservice is under MIT license, and in your specfile, you don't reflect this. And this applies to other plugins in vendor/plugins directory as well.
I'm not sure if actionwebservice and plugins (like coderay) could be shipped in this package, i will find out and let you know.

sed -i 's|RAILS_GEM_VERSION = '2.1.2'|RAILS_GEM_VERSION = '2.1.1'|' %{buildroot}%{_datadir}/%{name}/config/environment.rb
This is not working. Do you need it anyway? when you comment out this line, redmine will use any version which is in system. And if you need it for some reason you should also specify same version in Requires.
Comment 12 Jan Klepek 2009-06-05 10:22:17 EDT
so, after investigation, plugins in vendor/plugins directory should be packaged separately as standalone applications/library.
And actionwebservice ruby library package should be re-created as now it is dead package.
Comment 13 Jan Klepek 2009-06-24 02:13:50 EDT
- removed FE-NEEDSPONSOR as David is sponsored now by Jochen Schmitt
@david: ping?
Comment 14 David Hannequin 2009-06-24 03:53:07 EDT
Hello,

Sorry for my absence but I do not have access to the Net from home due to my move to another region of France. I always work on the Redmine rpm.

	
See you soon with a new spec file
Comment 15 Jan Klepek 2009-07-10 01:54:24 EDT
ping?
Comment 16 David Hannequin 2009-07-12 11:49:33 EDT
Hi,

New spec file and SRPM with the remarks Jan Klepek.

Spec URL: http://hvad.cfppa-cibeins.com/redmine/redmine.spec
SRPM URL: http://hvad.cfppa-cibeins.com/redmine/redmine-0.8.4-9.fc10.src.rpm

Best regard
Comment 17 Jan Klepek 2009-07-18 05:43:45 EDT
Hi David,

1]
You should go ahead and become maintainer of rubygem-actionwebservice as you need it by redmine package and current maintainer of rubygem-actionwebservice retired it.

2]
still you have plugins which are not part of redmine and you have to create packages for them (of find somebody who will do it) :
classic_pagination
coderay-0.7.6.227 -> https://bugzilla.redhat.com/show_bug.cgi?id=507761
engines
gloc-1.1.0
gravatar -> https://bugzilla.redhat.com/show_bug.cgi?id=507762
rfpdf
ruby-net-ldap-0.0.4
Comment 18 Jason Tibbitts 2009-08-01 14:24:37 EDT
What should happen to this package now that the gravatar review won't be finished?
Comment 19 Jan Klepek 2009-08-02 16:28:09 EDT
gravatar:
1] I have packaged wrong gravatar library which is not ok for redmine
2] i don't have time nowadays to package correct library

Redmine:
And this package have still pending dependencies (listed in my previous comments) where somebody (reporter, or anybody else) should create package for each redmine dependency, and still there is no owner of rubygem-actionwebservice which is needed for redmine [1]. As I have this already stated here: https://bugzilla.redhat.com/show_bug.cgi?id=499959#c12

[1] http://www.mail-archive.com/fedora-devel-list@redhat.com/msg01788.html
Comment 20 Jason Tibbitts 2009-08-02 19:34:53 EDT
Since this can't be reviewed until its dependencies are packaged, I'll indicate that it's not ready for review.  Please clear the whiteboard if this becomes reviewable in the future.
Comment 21 Jan Klepek 2009-09-20 07:02:00 EDT
Hi David,

any progress on packaging dependencies?
Comment 22 Jan Klepek 2009-10-12 04:55:43 EDT
Hi Davied,

any progress?
If no response within a week, this is going to be closed as dead review.
Comment 23 David Hannequin 2009-10-12 05:02:52 EDT
Sorry, 

I tried packaging dependencies and i ask help to ruby developper.

So work in progress.

Best regard
Comment 24 Vedran Miletić 2009-12-04 13:26:46 EST
The VERIFIED, FAILS_QA and RELEASE_PENDING bug states are not used by Fedora (they are used in the RHEL process).

I'm closing this bug ahead of time. It is possibly fixed, but Reporter, if you can reproduce it using a current version of Fedora (version 12), please reopen it.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 25 Mamoru TASAKA 2009-12-04 14:42:45 EST
RELEASE_PENDING was perhaps set by accident, however
package review should not be closed by such a reason.
Comment 26 Karel Klíč 2010-01-16 05:18:36 EST
Created attachment 384776 [details]
Changes to acts_as_tree in Redmine

Redmine can use generic rubygem-acts_as_tree only if this patch is merged by upstream, or injected to acts_as_tree by Redmine itself.

I sent the patch to Erik Dahlstrand, the maintainer of acts_as_tree gem, so there is a chance that the next release of it will contain it.
Comment 27 Karel Klíč 2010-01-16 06:00:03 EST
David, Jan,

I updated the spec file and srpm:
* Fri Jan 15 2010 Karel Klic <kklic@redhat.com>  - 0.9.0-1
- Updated to a new upstream version.
- Added a patch with changes specific to Fedora
- Set ruby(api) back to 1.8
- Updated Required section in the spec file
- Added dashes to version strings in log entries

Redmine 0.9.0 works well in Fedora 12.
Also, acts_as_list and acts_as_tree have been packaged. 
acts_as_list -> https://bugzilla.redhat.com/show_bug.cgi?id=555990
acts_as_tree -> https://bugzilla.redhat.com/show_bug.cgi?id=555988

More plugins needs to be separated for this version of Redmine:
acts_as_versioned
awesome_nested_set
classic_pagination
engines
gravatar
open_id_authentication
rfpdf
rubytree
Comment 28 Karel Klíč 2010-01-16 06:02:26 EST
My changes are here:

Spec URL: http://kklic.fedorapeople.org/redmine.spec
SRPM URL: http://kklic.fedorapeople.org/redmine-0.9.0-1.fc12.src.rpm

README.fedora has been updated too.
Comment 29 David Hannequin 2010-02-17 15:44:52 EST
Hello,

New files :

Spec URL: http://hvad.fedorapeople.org/fedora/redmine/redmine.spec
SRPM URL: http://hvad.fedorapeople.org/fedora/redmine/redmine-0.9.2-1.fc12.src.rpm

Minor corrections and updated version.

Best regard
Comment 30 Johan Cwiklinski 2010-03-14 06:35:04 EDT
0.9.3 is now available.

Pay attention that 0.9.x redmine series require rails 2.3.5 (http://www.redmine.org/wiki/redmine/RedmineInstall) which is not available for F-12.

A few remarks about the package itself:
- maybe (some?) plugins should be provided in separates sub packages
- configuration files should be under /etc/redmine ; not under /usr/share
- should not the public/.htacces contents be provided as an apache config file (maybe in a separate sub package) instead of being removed?
- /usr/share/redmine/log directory would probably be /var/log/redmine
- /usr/share/redmine/tmp and /usr/share/redmine/files would probably goes to /var/lib/redmine as well

Hope that could help :)
Comment 31 Johan Cwiklinski 2010-03-21 13:19:23 EDT
I continue testing redmine (locally installed from their trunk for my needs).

I think we'll have a problem under F-13. Redmine requires rack gem in version ~> 1.0.1 ; F-13 ships 1.1.0 that will not work :(

For my tests, the only way to make redmine work under my F-13 was to locally install the correct rack version ; or to rebuild fedora's rack rpm with the correct version :/
Comment 32 Jan Klepek 2010-04-26 09:01:40 EDT
any progress here with packaging dependencies?
Comment 33 David Hannequin 2010-05-11 07:53:53 EDT
Hello
Yes, I took a little late but I'm still working on it.
Best regard
Comment 34 Randy Zagar 2010-12-21 11:05:59 EST
So far, I am not having issues with Rubygem Rack-1.1 under Fedora 13...

I do have some suggestions:

* Redmine needs its own userid, since you're not using Mongrel.

* Redmine files and tmp should go in /var/lib/redmine.
  I'm not expecting redmine will be allowed to modify files in /usr/share

* Logs should go in /var/log/redmine

I did this with symlinks:

    ln -s /usr/share/redmine/config /etc/redmine

    mkdir -p /var/lib/redmine/files
    mkdir    /var/lib/redmine/tmp
    mkdir    /var/log/redmine

    chown -R apache.apache \
        /var/lib/redmine /var/log/redmine

    chmod -R 755 \
        /var/lib/redmine /var/log/redmine

    mv /usr/share/redmine/files{,.orig}
    ln -s  /var/lib/redmine/files /usr/share/redmine/files

    mv /usr/share/redmine/tmp{,.orig}
    ln -x  /var/lib/redmine/tmp   /usr/share/redmine/tmp

    mv /usr/share/redmine/log{,.orig}
    ln -s  /var/log/redmine       /usr/share/redmine/log

Has there been any other progress on this RPM?
Comment 35 Jan Klepek 2011-01-04 15:37:05 EST
Hi David, 

what's your progress?
Comment 36 Michal Fojtik 2011-01-20 05:20:17 EST
Is there anything I could help with ? I like Redmine and it will be great to have this app inside Fedora.
Comment 37 Jan Klepek 2011-03-10 11:28:49 EST
Michal, you could work on redmine package and/or package plugins. Work is in progress and I today packaged rubytree. Seems anyway that redmine would need some internal hacking to get it working with system libraries :(
Comment 38 Vít Ondruch 2011-03-10 12:00:43 EST
And one bad news is that in F15 are already (and only) Rails 3 which are not supported by Redmine yet :/
Comment 39 Jan Klepek 2011-03-12 08:55:52 EST
so it will be not builded for F15 yet, there is a lot of work with packaging before we could worry with rails3
Comment 40 David Hannequin 2011-04-18 14:53:53 EDT
Hi,
Since the fork, I have no time to work on the packaging of redmine. I am compelled to abandon. If someone wants to resume the work already done.

Best regard
Comment 41 Bertrand Juglas 2011-08-12 03:57:56 EDT
Is this still the good place to follow packaging of redmine in fedora ?
Comment 42 Jan Klepek 2011-08-15 11:03:27 EDT
Hi Bertrand, 

If you are willing to work on packaging redmine for fedora and if you made any progress, then feel free to reopen this ticket.
Comment 43 Bertrand Juglas 2011-08-15 19:17:22 EDT
Hi Jan,
Thank you for your reply.
If Fedora accept to include the "old" dependencies of redmine, like rails2, in the the vendor subdirectiry of the redmine install location, as it is already done in archives released by redmine developers, it would help to have a simpler redmine rpm without too much dependencies hell.
For every rails app, the vendor subdirectory is always planned to keep frozen the gem dependencies of the app concerned.
But another problem is that redmine don't work with the latest rubygems and need an older rubygems.
So redmine would have to be bundled with its needed "old" dependencies to make it work.
I suppose it's not the Fedora way to package things, but i'm just asking to be sure there is currently nothing that can be done.
Thank you for your time and care.
Comment 44 Jan Klepek 2011-08-16 11:44:04 EDT
As always, anything can be done. Redmine upstream is working on rails3 support, so if you want this software you could contribute with patches to upstream to get this done quickly.
Also vendor/ directory needs to be fully removed from rpm package (and other work which is not yet finished to align redmine with fedora packaging guidelines).
Comment 45 Bertrand Juglas 2011-08-16 15:17:55 EDT
ok, thank you for this advice, i will look for rails3 support progress of redmine and how i can contribute to it.
Comment 46 Emanuel Rietveld 2012-05-26 17:48:46 EDT
I have posted a new review request for redmine 2.0.0 https://bugzilla.redhat.com/show_bug.cgi?id=825495
Comment 47 Peter Lemenkov 2012-05-27 02:57:59 EDT

*** This bug has been marked as a duplicate of bug 825495 ***

Note You need to log in before you can comment on or make changes to this bug.